apiVersion: apps/v1
kind: Deployment
metadata:
  name: monitoring
spec:
  selector:
    matchLabels:
      app: monitoring
  replicas: 1
  template:
    metadata:
      labels:
        app: monitoring
    spec:
      terminationGracePeriodSeconds: 5
      # initContainers:
      # - name: influxdb
      #   image: influxdb:1.8
      #   ports:
      #   - containerPort: 8086
      #   envFrom:
      #     - secretRef:
      #         name: influxdb-secrets
      containers:
      - name: influxdb
        image: influxdb:1.8
        ports:
        - containerPort: 8086
        envFrom:
          - secretRef:
              name: influxdb-secrets
        readinessProbe:
          exec:
            command: ["curl", "-XGET", "localhost:8086/health"]
        livenessProbe:
          exec:
            command: ["curl", "-XGET", "localhost:8086/health"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/monitoring:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 7070
        env:
        - name: PORT
          value: "7070"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:7070"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:7070"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: monitoring
spec:
  type: ClusterIP
  selector:
    app: monitoring
  ports:
  - name: grpc
    protocol: TCP
    port: 7070
    targetPort: 7070
  - name: influxdb
    protocol: TCP
    port: 8086
    targetPort: 8086
---